Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Reactions

Get Content Reactions
GET /contentmodules/{moduleId}/content/{contentId}/reactions
https://api.relesysapp.net/api/v1/contentmodules/{moduleId}/content/{contentId}/reactions
Get a list of content reactions.
Default sort is by type in ascending order.

type - This field displays the type of the reaction. Currently, the available types to filter on are:
  • Like
  • Love
  • Haha
  • Wow
  • Sad
  • Angry

Please note: Reactions must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetime Filterable Sortable optional
id string / guid Filterable optional
type string Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"34c5f09e-d3a1-43b7-8da3-fa768eb34ddd","userId":"3b22861e-2f19-40a5-a242-322a3df7d083","userUrl":null,"type":"Angry","creationDateTime":"2026-04-17T11:33:21.6599785+00:00"},{"id":"e6de74f9-d3fc-4685-8cda-8d852f1aa39c","userId":"ef2783fa-c42b-4a4a-b202-03b86e341901","userUrl":null,"type":"Like","creationDateTime":"2026-04-17T11:33:21.6599785+00:00"}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   type string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string